#include "StdAfx.h"
#include "ProgramInfoDlg.h"
#include "SimpleTextShape.h"
#include "WindowScriptletPlugin.h"
#include "IECtrl.h"
#include "DataContext.h"

namespace tipuio
{
	UINT_PTR ProgramInfoDlg::Call(LPCTSTR infoURL, LPCTSTR caption, HWND hWndParent )
	{
		TiXmlElement* pNode = Application::LoadLayoutNode(_T("tip_programinfo_window"));
		if (pNode == NULL) return IDCANCEL;

		SimpleMapDataContext dataContext;
		dataContext.SetProperty(_T("title_text"), CComVariant(caption));
		dataContext.SetProperty(_T("info_url"), CComVariant(infoURL));

		return CWindowScriptletPlugin::DoModal(pNode, hWndParent, NULL, &dataContext);
	}
};